Subject: Re: bug#74548: gnupg cannot use pinentry

From: Christopher Howard <[email-masked]>
Date: Fri, 29 Nov 2024 08:22:41 -0900

Rodion Goritskov <[email-masked]> writes:

> Hi!
>
> How do you configure gpg agent?
>
> I use home-gpg-agent-service-type (from the module (gnu home services
> gnupg)) [1], where I use a configuration like
> this (I use pinentry-qt):
>
> (service home-gpg-agent-service-type
> 	 (home-gpg-agent-configuration (pinentry-program
>                                         (file-append
>                                          pinentry-qt
>                                          "/bin/pinentry-qt"))))
>
> [1] - https://guix.gnu.org/manual/devel/en/guix.html#GNU-Privacy-Guard
>

Hi, thanks for the response. As far as I can tell, I don't have any pinentry configuration stuff explicity specified with in my guix home config or in my system config. I think, during the last few years before this suddenly broke, that pinentry-gnome3 would pop up whenever I first tried to access the "pass" utility.

I'll try adding that service, with pinentry-gnome3 or maybe pinentry-emacs.

-- 
Christopher Howard